=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: lxc
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Guido Trotter <ultrotter@debian.org>
+Maintainer: Guido Trotter <ultrotter@debian.org>
 Build-Depends: cdbs, debhelper (>= 7), autotools-dev, libcap-dev (>= 1:2.17-2), linux-libc-dev
 Standards-Version: 3.9.1
 Homepage: http://lxc.sourceforge.net/
