=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,6 @@
 LIBDIR="\$${prefix}/lib/lxc"
 DEB_CONFIGURE_EXTRA_FLAGS=--libdir=$(LIBDIR) \
 			  --with-rootfs-path=$(LIBDIR)
-DEB_DH_INSTALLINIT_ARGS=-r
 
 binary-install/lxc::
 	cp debian/lxc.overrides debian/lxc/usr/share/lintian/overrides/lxc
