## lxc 0.7.3.1

=== debian/changelog ===
lxc (0.7.3.1-0ubuntu1) natty; urgency=low

  * Base on new upstream git tree with new maverick and natty templates,
    and able to run without ns cgroup.
  * Send a 'container=lxc' variable to upstart.  The upstream git has
    the same patch, though this tree has it as a quilt patch.
  * Add lxcguest package which converts a system into one which can
    boot upstart both as a container and a (kvm or bare-metal) host.
  * Add a MIRROR default in /etc/default/lxc, and use that in the
    debootstrap command in the lucid, maverick and natty templates.
  * Remove 0004-restore-lxc.mount-lxc.mount.entry-functionality.patch
    which prevents containers from starting.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Sun, 23 Jan 2011 17:28:55 -0600
