## lxc 0.7.4

=== debian/changelog ===
lxc (0.7.4-0ubuntu5) natty; urgency=low

  * Add ARM to list of supported archs - LP: #745884

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Wed, 06 Apr 2011 16:49:15 +0200

lxc (0.7.4-0ubuntu4) natty; urgency=low

  * Add lxcguest to the list of packages installed by the natty template.
    (LP: #745907)
  * Since lxcguest will be installed, don't install our own console.conf,
    and don't clear out /lib/init/fstab.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Fri, 01 Apr 2011 08:50:36 -0500

lxc (0.7.4-0ubuntu3) natty; urgency=low

  * Fix an error in the syntax in the ubuntu templates - they were using
    upstart job syntax which is not valid in bash for including the
    /etc/default files. (LP: #742770)
  * debian/lxc.default: Comment out the example defines so as not to cause
    trouble, and fix the default MIRROR.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Fri, 25 Mar 2011 15:55:05 -0500

lxc (0.7.4-0ubuntu2) natty; urgency=low

  * Fix an error in the syntax in the ubuntu templates - they were using
    upstart job syntax which is not valid in bash for including the
    /etc/default files. (LP: #742770)
  * Now that the /etc/default file is actually sourced, comment out
    the example defines.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Fri, 25 Mar 2011 15:55:05 -0500

lxc (0.7.4-0ubuntu1) natty; urgency=low

  * New upstream version.
  * Refreshed patches, dropped 0005-env.patch since it was already
    accepted upstream.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 10 Mar 2011 07:25:34 -0500
