=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: lxc
 Section: admin
 Priority: optional
-Maintainer: Guido Trotter <ultrotter@debian.org>
-Build-Depends: cdbs, debhelper (>= 7), autotools-dev, libcap-dev (>= 1:2.17-2), linux-libc-dev
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Guido Trotter <ultrotter@debian.org>
+Build-Depends: cdbs, debhelper (>= 7), autotools-dev, libcap-dev (>= 1:2.17-2), linux-libc-dev, docbook-utils
 Standards-Version: 3.9.1
 Homepage: http://lxc.sourceforge.net/
 Vcs-Git: git://git.debian.org/git/collab-maint/lxc.git
@@ -22,3 +23,16 @@
  daemon in a container, or to boot an entire "containerized" system, and to
  successively manage and debug your containers.
 
+Package: lxcguest
+Section: admin
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: Linux container guest package
+ Containers are insulated areas inside a system, which have their own namespace
+ for filesystem, network, pids, ipc, cpu and memory allocation and which can be
+ created using the Control Group and Namespace features included in recent Linux
+ Kernels.
+ .
+ This package contains the upstart scripts required to allow an Ubuntu
+ system to boot in lxc.
+
