=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,14 @@
 # Install liblxc in out private area, for now, until it's stable.
 LIBDIR="\$${prefix}/lib/lxc"
 DEB_CONFIGURE_EXTRA_FLAGS=--libdir=$(LIBDIR) \
-			  --with-rootfs-path=$(LIBDIR)
+			  --with-rootfs-path=$(LIBDIR) \
+			  --enable-doc
 
 binary-install/lxc::
 	cp debian/lxc.overrides debian/lxc/usr/share/lintian/overrides/lxc
+	dh_install
+
+binary-install/lxcguest::
+	dh_install
+	dh_installinit --no-start --name=console
+	dh_installinit --no-start --name=lxcmount
