=== debian/watch ===
version=3
http://lxc.sourceforge.net/download/lxc/lxc-(.*)\.tar\.gz
