## lxc 0.7.5

=== debian/changelog ===
lxc (0.7.5-3ubuntu70) precise-proposed; urgency=medium

  * d/lxc.apparmor: add ptmx bind mount rule with different syntax to work
    around a regression in the aa parser.  (LP: #1504781)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Wed, 28 Oct 2015 09:06:26 -0500

lxc (0.7.5-3ubuntu69) precise-proposed; urgency=low

  * mkdir /var/{cache.lib}/lxc before chmoding them to avoid FTBFS.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Tue, 29 Oct 2013 15:01:36 -0500

lxc (0.7.5-3ubuntu68) precise-proposed; urgency=low

  * debian/rules and debian/lxc.postinst: set /var/lib/lxc and /var/cache/lxc
    to be perms 700.  That prevents unprivileged users from running setuid-root
    applications.  Install that way by default, and for any previous versions,
    update the permissions.  After this version, respect the user's choice.
    (LP: #1244635)
  * 0312-ubuntu-Improper-pty-permissions.patch: fix permissions with which
    devpts is mounted in containers.  (LP: #1242913)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Tue, 29 Oct 2013 13:32:42 -0500

lxc (0.7.5-3ubuntu67) precise-proposed; urgency=low

  * Don't directly write/remove /etc/dnsmasq.d/lxc as that's causing problems
    when removing and reinstalling lxc.
    Instead have dnsmasq ship /etc/dnsmasq.d-available/lxc and create/remove
    a symlink in /etc/dnsmasq.d/. (LP: #1113821)
  * Bump debhelper dependency and add Pre-Depends on newer dpkg for above fix.
  * Allow the container to mount efivars on /sys/firmware/efi/efivars.
    efivars is automatically mounted by mountall on UEFI systems, failure to
    do so leads to a complete boot failure. (LP: #1117589)
  * 0221-make-nonflush-upgrades-robust: be more robust about out of date
    container caches.  (LP: #942862)
  * 0207-ubuntu-cloud-fixes.patch: cleanups to lxc-ubuntu-cloud.in
    fix for quantal images that do not have user 'ubuntu' present
    (LP: #1045955)
  * 0301-debian-copy-config: Pass all the arguments to copy_configuration.
    (LP: #1111613)

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 07 Feb 2013 13:08:07 -0500

lxc (0.7.5-3ubuntu66) precise-proposed; urgency=low

  [ William Grant ]
  * lxc-start-ephemeral: exit with the command's status, not always 0.
    (LP: #1050351)

  [ Serge Hallyn ]
  * 0227-ubuntu-cloud-parsing: fix some option parsing bugs in ubuntu-cloud
    template (LP: #1076031)
  * 0229-lxc-clone-mount-fix: fix wrong handling of lxc.mount entries in
    lxc-clone.  (LP: #1084089)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Thu, 29 Nov 2012 12:43:44 -0600

lxc (0.7.5-3ubuntu65) precise-proposed; urgency=low

  * Add proper fix (X001-lxc-ls-onelisting) for lxc-ls showing running
    containers multiple times.  (LP: #1043018)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Wed, 07 Nov 2012 11:03:36 -0600

lxc (0.7.5-3ubuntu64) precise-proposed; urgency=low

  [ Serge Hallyn ]
  * lxc.lxc-net.upstart: tell iptables not to masquerate packets between
    containers.  (LP: #1045947)
  * 0204-ubuntu-cloud-userdata-path: Fix broken behavior when a relative
    path is passed into '--userdata' argument. (LP: #1043582)
  * 0205-lxc-ls-manpage-document-two-lines: Document the default two-line
    output format of lxc-ls. (LP: #1043018)
  * lxc-start-ephemeral: support fedora and centos (LP: #1042431)
  * 0222-debian-dhcp3-package: fix install of debian testing containers.
    (LP: #1052972)
  * 0100-template-cleanup-cache: clean up template cache if interrupted
    during build. (LP: #1037331)

  [ Scott Moser ]
  * 0225-ubuntu-cloud-numeric-owner: use --numeric-owner when extracting root
    filesystems with tar (LP: #1066084)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Wed, 24 Oct 2012 14:17:55 -0500

lxc (0.7.5-3ubuntu63) precise-proposed; urgency=low

  * lxc.lxc-net.upstart: replace the check for USE_LXC_BRIDGE (which could be
    changed from true to false after starting lxc-net) with one for the
    existence /var/run/lxc.  (LP: #1019290)
  * lxc-start-ephemeral: use unionfs only for the rootfs itself
    (LP: #959352)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Tue, 14 Aug 2012 11:38:25 -0500

lxc (0.7.5-3ubuntu62) precise-proposed; urgency=low

  * lxc.postrm: support "purge" command (LP: #1029716)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Fri, 27 Jul 2012 03:31:39 +0000

lxc (0.7.5-3ubuntu61) precise-proposed; urgency=low

  * Fix lxc-ubuntu and lxc-ubuntu-cloud to fix the /dev/shm workaround to only
    trigger when /dev/shm is not a symlink. (LP: #974584)

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 26 Jul 2012 13:30:48 -0400

lxc (0.7.5-3ubuntu60) precise-proposed; urgency=low

  * Update lxc-ubuntu template to use "dpkg --add-architecture" in containers
    running dpkg >= 1.16.2. (LP: #1017862)
  * Patch lxc-clone to stop messing with dhclient.conf when it contains a
    placeholder (<hostname> or gethostname()). Fixes cases where dpkg will
    prompt for modified config file on upgrade. (LP: #1021416)
  * Allow write access to /proc/sys/kernel/shm* as these are namespaced (IPC).
    (LP: #1021411)
  * Allow fstype=fuse.*, for all containers. (LP: #1021421)
  * Rebase lxc-list on quantal's, properly shows FROZEN containers and prints
    error messages on stderr. (LP: #1021429)
  * Only run dh_apparmor against the lxc package. (LP: #1021428)
  * Depend on adduser as it's being used in postinst.
  * Fix lintian-overrides syntax.

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 05 Jul 2012 12:18:47 -0400

lxc (0.7.5-3ubuntu59) precise-proposed; urgency=low

  [ Serge Hallyn ]
  * 0085-pivot-dir: use a directory other than /mnt to put the pivot_root
    old dir into (LP: #986385)
  * 0086-lxc-unshare-zero-args: fix lxc-unshare segfaulting when no command
    is given (LP: #1011603)
  * 0087-lxc-ls-dash: fix lxc-ls for containers whose names start with a
    dash  (LP: #1006332)
  * 0088-ubuntu-template-flock: don't fail when flock is busy, just wait,
    so concurrent lxc-creates don't break.  (LP: #1007483)

