=== debian/control ===
Source: lxc
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
Uploaders: Jonas Genannt <jonas.genannt@capi2name.de>
Build-Depends:
 debhelper (>= 9), autotools-dev, dh-apparmor, docbook-utils, libcap-dev,
 linux-libc-dev, libapparmor-dev
Standards-Version: 3.9.2
Homepage: http://lxc.sourceforge.net/

Package: lxc
Architecture: linux-any
Pre-Depends: dpkg (>= 1.15.7.2)
Depends: ${misc:Depends}, ${shlibs:Depends}, apparmor, bridge-utils, dnsmasq-base, iptables, rsync, adduser
Recommends: debootstrap, cloud-utils, libcap2-bin, cgroup-lite | cgroup-bin, openssl
Suggests: btrfs-tools, lvm2, qemu-user-static
Description: Linux containers userspace tools
 Containers are insulated areas inside a system, which have their own namespace
 for filesystem, network, pids, ipc, cpu and memory allocation and which can be
 created using the Control Group and Namespace features included in recent Linux
 Kernels.
 .
 This package contains the lxc-* tools which can be used to start a single
 daemon in a container, or to boot an entire "containerized" system, and to
 successively manage and debug your containers.

Package: lxc-dbg
Section: debug
Priority: extra
Architecture: linux-any
Depends:
 ${misc:Depends}, lxc (= ${binary:Version}), lxc-dev (= ${binary:Version})
Description: Linux containers userspace tools (debug)
 Containers are insulated areas inside a system, which have their own namespace
 for filesystem, network, pids, ipc, cpu and memory allocation and which can be
 created using the Control Group and Namespace features included in recent Linux
 Kernels.
 .
 This package contains the debugging symbols.

Package: lxc-dev
Section: libdevel
Architecture: linux-any
Depends: ${misc:Depends}, lxc (= ${binary:Version})
Description: Linux containers userspace tools (development)
 Containers are insulated areas inside a system, which have their own namespace
 for filesystem, network, pids, ipc, cpu and memory allocation and which can be
 created using the Control Group and Namespace features included in recent Linux
 Kernels.
 .
 This package contains the development files.
