=== debian/rules ===
#!/usr/bin/make -f

DEB_DH_INSTALLINIT_ARGS = --upstart-only

%:
	dh ${@} --with autotools_dev

override_dh_auto_configure:
	dh_auto_configure -- --libdir=\$${prefix}/lib/lxc --with-rootfs-path=\$${prefix}/lib/lxc/root --enable-doc

override_dh_install:
	mkdir -p debian/lxc/etc/apparmor.d/lxc
	cp debian/lxc.apparmor debian/lxc/etc/apparmor.d/usr.bin.lxc-start
	cp debian/lxc-containers.apparmor debian/lxc/etc/apparmor.d/lxc-containers
	cp debian/lxc-default.apparmor debian/lxc/etc/apparmor.d/lxc/lxc-default
	if [ -x /usr/bin/dh_apparmor ]; then \
		dh_apparmor -p lxc --profile-name=usr.bin.lxc-start; \
	fi
	# copy apport hook
	mkdir -p debian/lxc/usr/share/apport/package-hooks
	cp debian/lxc.apport debian/lxc/usr/share/apport/package-hooks/source_lxc.py
	dh_install --fail-missing
	# copy dnsmasq configuration
	mkdir -p debian/lxc/etc/dnsmasq.d-available
	cp debian/lxc.dnsmasq debian/lxc/etc/dnsmasq.d-available/lxc

	# removing useless files
	rm -f debian/lxc/usr/lib/lxc/templates/lxc-lenny
	# replace upstream lxc-wait which can only run one-at-a-time
	cp -f debian/local/lxc-wait debian/lxc/usr/bin/

override_dh_strip:
	dh_strip --dbg-package=lxc-dbg

override_dh_builddeb:
	# prevent system users from using setuid-root binaries under /var/lib/lxc
	mkdir -p debian/lxc/var/lib/lxc
	chmod 700 debian/lxc/var/lib/lxc
	mkdir -p debian/lxc/var/cache/lxc
	chmod 700 debian/lxc/var/cache/lxc
	dh_builddeb

override_dh_installinit:
	dh_installinit --no-restart-on-upgrade --name=lxc
	dh_installinit --no-restart-on-upgrade --name=lxc-net
