## lxc 0.8.0~rc1

=== debian/changelog ===
lxc (0.8.0~rc1-8+deb7u2) wheezy; urgency=medium

  * Non-maintainer upload.
  * Use latest upstream provided lxc-debian that actually works. Closes: #680469
  * Add rsync to Recommends since lxc-debian uses it.

 -- Raphaël Hertzog <hertzog@debian.org>  Mon, 16 Dec 2013 08:51:43 +0100

lxc (0.8.0~rc1-8+deb7u1) wheezy; urgency=low

  * Non-maintainer upload.
  * Adding updated Danish debconf translations from Joe Dalton
    <joedalton2@yahoo.dk> (Closes: #684572).
  * Adding updated Czech debconf translations from Michal Simunek
    <michal.simunek@gmail.com> (Closes: #679681).
  * Adding Japanese debconf translations from Kenshi Muto
    <kmuto@debian.org> (Closes: #683123).

 -- David Prévot <taffit@debian.org>  Wed, 22 Aug 2012 16:43:25 -0400

lxc (0.8.0~rc1-8) unstable; urgency=low

  * Removing comments in lxc-debconf debconf templates, apparently
    that's no longer supported (Closes: #679849).
  * Removing lxc directory in postrm (Closes: #679842).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Wed, 04 Jul 2012 00:24:59 +0200

lxc (0.8.0~rc1-7) unstable; urgency=low

  * Updating email address in copyright headers for local additions.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 30 Jun 2012 14:08:11 +0200

lxc (0.8.0~rc1-6) unstable; urgency=low

  * Adding copyright headers to local debian additions.
  * Create /etc/lxc/auto when creating symlinks for the unlikely event
    that user has it removed.
  * Switching to xz compression.
  * Updating GPL boilerplate in copyright file.
  * Simplyfing backports compatible use of multiarch debhelper install
    files.
  * Adding prerm script to remove alternatives (Closes: #668438).
  * Correcting spelling typo in readme.
  * Clarify in readme the name of the symlinks in /etc/lxc/auto.
  * Deriving container name from parent directory of the configuration
    file, not from the name of the configuration file (Closes: #673552).
  * Tidying up initscripts start sequence.
  * Adding explicit docbook build-depends.
  * Updating lintian overrides.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 30 Jun 2012 00:05:28 +0200

lxc (0.8.0~rc1-5) unstable; urgency=low

  * Updating todo file.
  * Prefering iputils-ping over inetutils-ping in lxc-progress.cfg
    example.
  * Temporarily including bzip2 manually when bootstrapping until
    #657560 has been fixed in unstable.
  * Only show experimental as a valid optional archive choice in lxc-
    debconf for sid, rather than security, volatile, backports, and
    proposed-updates (which all are evidently unavailable for unstable).
  * Adding updated Russian debconf translations from Yuri Kozlov
    <yuray@komyakino.ru> (Closes: #671053).
  * Adding updated Spanish debconf translations from Camaleón
    <noelamac@gmail.com> (Closes: #677404).
  * Adding updated Swedish debconf translations from Martin Bagge
    <brother@bsnet.se> (Closes: #673889).
  * Adding updated Portuguese debconf translations from Miguel
    Figueiredo <elmig@debianpt.org> (Closes: #674950).
  * Adding updated Dutch debconf translations from Jeroen Schot
    <schot@a-eskwadraat.nl> (Closes: #673776).
  * Correcting incorrect lxc-netstat.patch, thanks to Serge Hallyn
    <serge.hallyn@canonical.com> (Closes: #677124).
  * Updating lxc-directories.patch (Closes: #664764).
  * Updating base-files hack for newer versions of base-files (sid).
  * Moving away from linux-container and use live-config instead.
  * Replacing linux-container debconf prefix with lxc-debconf for
    outside template preseeding.
  * Updating some remaining leftover cruft from linux-container in
    variable namespacing.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Thu, 14 Jun 2012 10:15:53 +0200

lxc (0.8.0~rc1-4) unstable; urgency=low

  * Correcting spelling typo in debconf templates (Closes: #663547).
  * Adding updated French debconf translations from Christian Perrier
    <bubulle@debian.org> (Closes: #663546).
  * Moving architecture independent files from /usr/lib/*/lxc to
    /usr/share/lxc (Closes: #664160).
  * Correcting multiarch conditional typo in rules.
  * Creating lxc directories in a dangling symlink proof way in order to
    respect sysadmins decisions for temporary incomplete deployments.
  * Adding patch to avoid messing with rootfs directory creation in lxc-
    create where its not required (Closes: #664159).
  * Adding updated Spanish debconf translations from Camaleón
    <noelamac@gmail.com> (Closes: #665366).
  * Adding updated Russian debconf translations from Yuri Kozlov
    <yuray@komyakino.ru> (Closes: #665370).
  * Also setting libexedir via configure argument which in turn will set
    lxcinitdir properly on multiarch (Closes: #664764).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Tue, 10 Apr 2012 20:04:36 +0200

lxc (0.8.0~rc1-3) unstable; urgency=low

  * Adding pre-depends to multiarch-support (Closes: #663274).
  * Updating lintian overrides.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 10 Mar 2012 09:51:28 +0100

lxc (0.8.0~rc1-2) unstable; urgency=low

  * Helping to migrate lxc-shutdown debconf setting for alternative on
    upgrades from 0.7.5 to 0.8.0.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Fri, 09 Mar 2012 15:27:21 +0100

lxc (0.8.0~rc1-1) unstable; urgency=low

  * Adding updated Spanish debconf translations from Camaleón
    <noelamac@gmail.com> (Closes: #658362).
  * Adding patch from Ivan Vilata i Balaguer <ivan@selidor.net> to allow
    the escape prefix to escape itself in lxc-console (Closes: #659011).
  * Adding late host command in addition to late command in lxc-debconf.
  * Setting default action for lxc shutdown to halt as it's almost
    always safe and better for data integrity (e.g. some database
    servers need a regular sysvinit shutdown).
  * Replacing configuration variable in /etc/default/lxc for default

