=== debian/control ===
Source: lxc
Section: admin
Priority: optional
Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
Uploaders: Jonas Genannt <jonas.genannt@capi2name.de>
Build-Depends:
 debhelper (>= 9), autotools-dev, docbook, docbook-utils, libcap-dev,
 linux-libc-dev
Standards-Version: 3.9.3
Homepage: http://lxc.sourceforge.net/

Package: lxc
Architecture: linux-any
Pre-Depends: ${multiarch:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: debootstrap | cdebootstrap, rsync, libcap2-bin
Conflicts: cgroup-bin
Suggests: lxctl
Description: Linux Containers userspace tools
 Containers are insulated areas inside a system, which have their own namespace
 for filesystem, network, PID, IPC, CPU and memory allocation and which can be
 created using the Control Group and Namespace features included in the Linux
 kernel.
 .
 This package provides the lxc-* tools, which can be used to start a single
 daemon in a container, or to boot an entire "containerized" system, and to
 manage and debug your containers.

Package: lxc-dbg
Section: debug
Priority: extra
Architecture: linux-any
Depends:
 ${misc:Depends}, lxc (= ${binary:Version}), lxc-dev (= ${binary:Version})
Description: Linux Containers userspace tools (debug)
 Containers are insulated areas inside a system, which have their own namespace
 for filesystem, network, PID, IPC, CPU and memory allocation and which can be
 created using the Control Group and Namespace features included in the Linux
 kernel.
 .
 This package contains the debugging symbols.

Package: lxc-dev
Section: libdevel
Architecture: linux-any
Depends: ${misc:Depends}, lxc (= ${binary:Version})
Description: Linux Containers userspace tools (development)
 Containers are insulated areas inside a system, which have their own namespace
 for filesystem, network, PID, IPC, CPU and memory allocation and which can be
 created using the Control Group and Namespace features included in the Linux
 kernel.
 .
 This package contains the development files.
