=== debian/rules ===
#!/usr/bin/make -f

DEB_DH_INSTALLINIT_ARGS = --upstart-only

SHELL := sh -e

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh ${@} --with autotools_dev --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
		--libexecdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
		--with-rootfs-path=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)/lxc \
		--enable-python $(shell DEB_CFLAGS_MAINT_APPEND="$$(python3-config --includes)" dpkg-buildflags --export=configure) \
		--enable-doc --disable-rpath --enable-apparmor --with-distro=ubuntu

override_dh_install:
	# copy apparmor profiles
	mkdir -p debian/lxc/etc/apparmor.d/lxc
	mkdir -p debian/lxc/etc/apparmor.d/abstractions/lxc
	cp debian/apparmor/usr.bin.lxc-start debian/lxc/etc/apparmor.d/usr.bin.lxc-start
	cp debian/apparmor/lxc-containers debian/lxc/etc/apparmor.d/lxc-containers
	cp debian/apparmor/lxc-default debian/lxc/etc/apparmor.d/lxc/lxc-default
	cp debian/apparmor/lxc-default-with-nesting debian/lxc/etc/apparmor.d/lxc/lxc-default-with-nesting
	cp debian/apparmor/abstractions-lxc-container-base debian/lxc/etc/apparmor.d/abstractions/lxc/container-base
	cp debian/apparmor/abstractions-lxc-start-container debian/lxc/etc/apparmor.d/abstractions/lxc/start-container
	if [ -x /usr/bin/dh_apparmor ]; then \
		dh_apparmor -p lxc --profile-name=usr.bin.lxc-start; \
	fi

	# copy apport hook
	mkdir -p debian/lxc/usr/share/apport/package-hooks
	cp debian/lxc.apport debian/lxc/usr/share/apport/package-hooks/source_lxc.py

	# copy example hooks
	mkdir -p debian/lxc/usr/share/lxc
	cp -r debian/hooks debian/lxc/usr/share/lxc/
	chmod ugo+x debian/lxc/usr/share/lxc/hooks/*

	# copy dnsmasq configuration
	mkdir -p debian/lxc/etc/dnsmasq.d-available
	cp debian/lxc.dnsmasq debian/lxc/etc/dnsmasq.d-available/lxc

	dh_install --fail-missing

override_dh_installinit:
	dh_installinit --no-restart-on-upgrade --name=lxc
	dh_installinit --no-restart-on-upgrade --name=lxc-net
	dh_installinit --no-restart-on-upgrade --name=lxc-instance

override_dh_strip:
	dh_strip --dbg-package=lxc-dbg
